Subject: Re: [PATCH] Clean the ip_sockglue.c from some ugly ifdefs

From: "Arnaldo Carvalho de Melo" <[email-masked]>
Date: Thu, 1 Nov 2007 14:31:13 -0200

Em Thu, Nov 01, 2007 at 06:52:34PM +0300, Pavel Emelyanov escreveu:
> The #idfed CONFIG_IP_MROUTE is sometimes places inside the if-s,
> which looks completely bad. Similar ifdefs inside the functions
> looks a bit better, but they are also not recommended to be used.
> 
> Provide an ifdef-ed ip_mroute_opt() helper to cleanup the code.
> 
> Signed-off-by: Pavel Emelyanov <[email-masked]>

Perhaps a better name would be ip_mroute_valid_opt()?

- Arnaldo